
	-- В С Т У П Л Е Н И Е --
	
	main = room {
		pic = 'gfx/par1.png',
		nam = 'Введение',
		dsc = [[Я обычный паромщик. Но моё место работы назвать обычным никак нельзя.^^
		Во-первых, чтобы добраться до него из ближайшего города, нужно провести в пути не один час.^^
		А во-вторых, не могу представить, кому может понадобиться переправа в убогую деревню, которая находится где-то на другом берегу реки, и в которой нет ни единого жителя. 
		Возможно, что люди, изредка направлявшиеся туда, хотели побывать на кладбище, которое являлось не таким уж и маленьким.^^
		Во всяком случае, меня это заброшенное место никак не интересовало, несмотря на то, что раньше я несколько раз там бывал.]],
		obj = {vway('Вечер', txtc('{Далее}.'), 'nachalo2')},
		enter = set_music('muz/nachalo.ogg')
	};
	
	nachalo2 = room {
		pic = 'gfx/par2.png',
		nam = "Введение",
		dsc = [[Сегодня с утра всё проходило как всегда, и я готов был согласиться с тем, что это был мой обычный рабочий день, если бы не то, что произошло вечером.^^
		После ужина я лежал на кровати в своей будке и читал книжку.
		Вечер уже начинал отступать и на землю опускалась тьма. Всё вокруг было спокойно.
		Создавалось такое ощущение, будто природа замерла в ожидании.
		Внезапно поглядев в окно, я увидел, что на краю парома кто-то стоит.^^
		Трусливо выглянув на улицу, я смог рассмотреть человека в страшном черном плаще.
		Кроме его странной накидки ничего не было видно. 
		Так как это существо было расположено ко мне спиной, невозможно было определить даже пол этого человека.
		Меня наполнил страх... Жуткий страх.^^
		Я отложил книгу в сторону, забыв оставить закладку на том месте, где остановился.
		Сообразив, что надо действовать, я вышел на дорогу, чтобы посмотреть, нет ли поблизости кого-нибудь. 
		Но мои ожидания не были оправданы.
		Даже с моим идеальным зрением я не смог увидеть сквозь сумерки ничего движущегося поблизости. ^^
		Преодолев дикое волнение я обернулся назад, и одно чувство мгновенно сменило другое. Незнакомец исчез!]],
		obj = { vway('Будка', txtc('{Далее}.'), 'nachalo3') },
		enter = function()
			_locked = true
			_domdel_1 = false
			_domdel_2 = false
			_domdel_3 = false
			_domdel_4 = false
			_domdel_5 = false
			_domdel_6 = false
			_nul_gor_off = 0
			_per_gor_off = 0
			_vtr_gor_off = 0
			_tr_gor_off = 0
			_chtr_gor_off = 0
			_meper = false
			_otkrit = true
			_tigv = false
			_tilog = false
			_vsyat = false
			_entrak = false
			_batar = 0
			_need = false
			_needlog = false
			_dostk = false
			_vlag = false
			_poln = 2
			_fireboch = true
			end
	};
	
	nachalo3 = room {
		pic = 'gfx/chasy.png',
		nam = "Введение",
		dsc = [[Мне показалось, что время остановилось.
		Я не мог найти объяснение всему случившемуся. 
		Простояв ещё несколько минут на берегу, я всё же решился вернуться в будку.^^
		Каждый шаг давался с трудом. Сдерживать себя от паники не получалось. 
		До будки оставались считанные шаги, и всё же мне пришлось поддаться и пробежать это пространство сломя голову.^^ 
		Закрыв за собой дверь, я стал искать в комнате какие-либо изменения. 
		Но в комнате всё было как и прежде. Это меня успокоило.^^
		Придя в себя, я стал искать чайник с водой. После всего случившегося у меня пересохло во рту.^^
		Взглянув на свои наручные часы, я удивился. <<7:13>>. Всё приключение заняло несколько минут, но мне показалось, будто я оставил в этом моменте несколько лет своей жизни. 
		Однако старые часы на тумбочке показывали совсем другое время. <<1:05>>. Мне срочно нужно попить! К счастью, в это время вскипел чайник.^^
		Мгновенно опустошая кружку за кружкой я вдруг почувствовал, что мне нехорошо. Всё вокруг стало расплывчатым.
		Я взял телефон и стал набирать номер моего друга, который работал врачом в городской больнице. Пошли гудки... Голоса его я так и не услышал.^^
		Через несколько минут состояние моё стало критическим. Напоследок я разглядел название книги которая лежала рядом. "Преступление и наказание".]],
		obj = {vway('Неизвестность', txtc('{Далее}.'), 'nachalo4')}
	};
	
	nachalo4 = room {
		pic = 'gfx/neizvestnost.png',
		nam = "Введение",
		dsc = [[Не знаю сколько часов я был без сознания. Голова ужасно болела. Руки и ноги почти не слушались. В глазах всё было мутно. Память пропала, и я даже не мог вспомнить как меня зовут.^^ 
		Я понял, что располагаюсь на каком-то старом грязном диване. Пролежав ещё несколько минут, моё самочувствие пришло в норму. Пришла пора осмотреться.]],
		obj = {vway('Комната_Х', txtc('{Далее}.'), 'spalnya_105')}
	};
	
	-- О Б Ъ Е К Т Ы --

	rama = obj {
		nam = 'Рама',
		_locked = true,
		dsc = function(s)
				if s._locked == true then
						return 'Если бы не {рама}, я мог бы выбраться отсюда.';
				else
						return 'Выбитая {рама} валяется на полу. Теперь путь свободен.'
				end
		end,
		act = function(s)
				if s._locked == true then
						return 'Она мне мешает покинуть дом.';
				else
					return 'Теперь путь свободен.', goto ('zadomom');
				end
		end,
		used = function(s,o)
				if o == 'molotok' and s._locked == true then
						s._locked = false
						set_sound('snd/rama.ogg')
						return 'Слегка постучав по раме, я выбил её. Теперь путь на улицу свободен.'
				end
		end
	};
	
	plita_104 = obj {
		nam = 'Газовая плита',
		dsc = 'Не удивительно, что здесь стоит {газовая плита}.',
		act = 'На ней готовили еду. Но сейчас она в плохом состоянии.',
		used = function(s, h)
				if h == 'razvkey' and not have('lomik') then
						set_sound('snd/gay.ogg')
						kuhnya_104.obj:add('nul_gor')
						kuhnya_104.obj:add('per_gor')
						kuhnya_104.obj:add('vtr_gor')
						kuhnya_104.obj:add('tr_gor')
						kuhnya_104.obj:add('chtr_gor')
						kuhnya_104.obj:add('ruchka')
						_nul_gor_off = 1
						_per_gor_off = 1
						_vtr_gor_off = 1
						_tr_gor_off = 1
						_chtr_gor_off = 1
						return 'Я немного привел её в порядок.'
				elseif _poln == 3 and have('trakey') and (h == ('fakel') or h == ('zazhigalka'))then
						ulica.way:del('koridor_104')
						krisha_103.way:del('koridor_104')
						zabor_104.way:del('koridor_104')
						_domdel_6 = true
						set_sound('snd/fire.ogg')
						return cat('Я поджег дом и выбежал на улицу. ', goto('ulica'))
				elseif have('lomik') then
						return 'Там внутри ничего больше нет. Я уже взял оттуда лом.'
				end
		end
	}; 
	
	chashka = obj {
		nam = 'Чашка',
		dsc = 'Странно, что среди еды стоит чашка с непонятной {жидкостью}.',
		act = 'Не буду трогать её. Ещё неизвестно что в ней.',
		used = function(s, h)
				if h == 'tkan' and _vlag == false then
						set_sound('snd/nam.ogg')
						_vlag = true
						return 'Я намочил ткань в горючем.'
				elseif h == 'tkan' and _vlag == true then
						return 'Ткань уже пропитана горючим.'
				end
		end
	};
	
	shifer = obj {
		nam = 'Шифер',
		dsc = 'На деревянном полу лежит кусок {шифера}.',
		act = 'Не думаю, что он мне понадобится.'
	};
	
	gazeta_104 = obj {
		nam = 'Газета_104',
		dsc = 'В ящике лежит {газета}.',
		act = 'Всего лишь пара запачканных страниц. Пробежав глазами по тексту, я смог определить главное: в каком-то городе пропал главврач городской больницы. Следствие подтвердило, что его похитили прямо с места работы, так как халат до сих пор не найден.^^\
		В уголке страницы надпись <<Номер выпуска: 104>>.'
	};
	
	gazeta_103 = obj {
		nam = 'Газета_103',
		dsc = 'На нем лежит {газета}. Выпуск 103.',
		act = 'Ещё одно похищение человека. Вслед за врачом, был похищен заместитель мэра того же города.^^\
		Неужели эти люди как-то связаны друг с другом?.'
	};
	
	gazeta_102 = obj {
		nam = 'Газета_102',
		dsc = 'В кабине машины лежит {газетный} выпуск 102.',
		act = 'Текста не видно, но на странице размещена фотография человека в погонах.^^\
		Опять пропал высокопоставленный человек. Скорее всего, это из-за денег.'
	};

	gazeta_101 = obj {
		nam = 'Газета_101',
		dsc = 'На нем лежит {газета}. Номер 101.',
		act = 'По дороге не работу бесследно исчез крупный бизнесмен. Интересно, живы ли ещё эти люди? Может я должен их освободить?'
	};

	gazeta_100 = obj {
		nam = 'Газета_101',
		dsc = 'Из под него торчит {газета}.',
		act = 'Прочитать её я не могу. Она зажата ящиком. Из под него только торчит уголок с номерок выпуска "100".'
	};
	
	yashik_X = obj {
		nam = 'Ящик_Х',
		dsc = 'В углу комнаты стоит большой {ящик}.',
		act = 'Интересно, кому понадобилось такую громадину тащить в дом?',
		used = function(s, c)
				if c == 'lomik' then
						goto('zasada')
						return 'Я подвинул этот тяжелый ящик своим ломом. На полу оказалась дверь в подземное помещение. Я открыл дверь и спустился по лестнице вниз.'
				elseif _poln == 3 and have('trakey') and (c == ('fakel') or c == ('zazhigalka'))then
						ulica.way:del('koridor_105')
						zadomom.way:del('spalnya_105')
						set_sound('snd/fire.ogg')
						_domdel_1 = true
						return cat('Я поджог ящик и покинул дом. ', goto('ulica'))
				end
		end
	};

	pech_103 = obj {
		nam = 'Печь',
		dsc = 'В комнате пахнет жареным. У стены расположена большая {печь}. Неужели внутри очередной труп? Судя по всему, в ней не потушен огонь. Ситуация становится опасной.',
		act = function()
				if have('pila') then
						return 'Я уже достал оттуда пилу.'
				elseif _otkrit ~= true and _meper == true then
						inv():add('pila')
						set_sound('snd/shkaf.ogg')
						return 'Я взял из печи пилу.'
				elseif _otkrit == true then 
						return 'Чтобы её открыть, нужно закрыть газовый баллон.'
						else
						return 'Теперь можно открыть печь. Но она очень горячая. Нужно одеть что-нибудь на руку.'
				end
		end
	};

	kolodec = obj {
		nam = 'Колодец',
		dsc = 'Обычный деревенский {колодец}.',
		act = function(s)
				if not have ('fakel') then
						return 'Там темно и ничего не видно.'
				else
						goto ('bunker_1')
						return 'Теперь я могу туда спуститься.'
				end
		end
	};

	okna = obj {
		nam = 'Окна',
		dsc = 'Здесь много {окон}, но они все застеклены.',
		act = 'Не стоит их трогать. Можно пораниться, а я и так чувствую себя неважно.'
	};

	bed = obj {
		nam = 'Кровать',
		dsc = 'Этот {диван} выглядит ужасно.',
		act = 'Когда смотрю на него, возникают жуткие ощущения.'
	};
	
	traktor = obj {
		nam = 'Трактор',
		_entrak = false,
		dsc = 'На улице стоит {трактор}. ',
		act = function()
				if _entrak == true then
						return 'Странно, но теперь внутри никого нет.'
				else return 'Внутри кто-то лежит. Не знаю живой он или мертвый, так как дверь закрыта. Странно всё это: домов 6, трупов тоже 6, значит я должен выжить?'
				end
		end,
		used = function(s, a)
				if a == 'butilka' and _entrak == true and _poln == 3 then
						_poln = 1
						set_sound('snd/sliv.ogg')
						return 'Я заправил трактор.'
				elseif _entrak == true and a == 'trakey' then	
						lifeoff('iam')
						return goto('doroga')
				elseif _entrak == true and (a == 'fakel' or a == 'zazhigalka') then
						neznakomecdlg:pon(17)
						neznakomecdlg:poff(8)
						lifeoff('iam')
						ulica.obj:del('traktor')
						tropinka.way:del('ulica')
						set_sound('snd/fire.ogg')
						return 'Я сжег трактор. Больше отсюда никак не выбраться. ', goto('tropinka')
				end
		end
	};
	
	nul_gor = obj {
		nam = 'nul_gor',
		_nul_gor_off = 0,
		dsc = function()
				if _nul_gor_off == 0 then
						return '^^{0} - ая горелка включена.'
				else return '^^{0} - ая горелка выключена.'
				end
		end,
		act = function()
				if _nul_gor_off == 0 then
						_nul_gor_off = 1
						set_sound('snd/plita.ogg')
						return 'Я выключил первую горелку.'
				else
						_nul_gor_off = 0
						set_sound('snd/plita.ogg')
						return 'Я включил первую горелку.'
				end
		end
	};
	
	per_gor = obj {
		nam = 'per_gor',
		_per_gor_off = 0,
		dsc = function()
				if _per_gor_off == 0 then
						return '^{1} - ая горелка включена.'
				else return '^{1} - ая горелка выключена.'
				end
		end,
		act = function()
				if _per_gor_off == 0 then
						_per_gor_off = 1
						set_sound('snd/plita.ogg')
						return 'Я выключил первую горелку.'
				else
						_per_gor_off = 0
						set_sound('snd/plita.ogg')
						return 'Я включил первую горелку.'
				end
		end
	};
	
	vtr_gor = obj {
		nam = 'vtr_gor',
		_vtr_gor_off = 0,
		dsc = function()
				if _vtr_gor_off == 0 then
						return '^{2} - ая горелка включена.'
				else return '^{2} - ая горелка выключена.'
				end
		end,
		act = function()
				if _vtr_gor_off == 0 then
						_vtr_gor_off = 1
						set_sound('snd/plita.ogg')
						return 'Я выключил вторую горелку.'
				else
						_vtr_gor_off = 0
						set_sound('snd/plita.ogg')
						return 'Я включил вторую горелку.'
				end
		end
	};
	
	tr_gor = obj {
		nam = 'tr_gor',
		_tr_gor_off = 0,
		dsc = function()
				if _tr_gor_off == 0 then
						return '^{3} - я горелка включена.'
				else return '^{3} - я горелка выключена.'
				end
		end,
		act = function()
				if _tr_gor_off == 0 then
						_tr_gor_off = 1
						set_sound('snd/plita.ogg')
						return 'Я выключил третью горелку.'
				else
						_tr_gor_off = 0
						set_sound('snd/plita.ogg')
						return 'Я включил третью горелку.'
				end
		end
	};
	
	chtr_gor = obj {
		nam = 'chtr_gor',
		_chtr_gor_off = 0,
		dsc = function()
				if _chtr_gor_off == 0 then
						return '^{4} - ая горелка включена.'
				else return '^{4} - ая горелка выключена.'
				end
		end,
		act = function()
				if _chtr_gor_off == 0 then
						_chtr_gor_off = 1
						set_sound('snd/plita.ogg')
						return 'Я выключил четвертую горелку.'
				else
						_chtr_gor_off = 0
						set_sound('snd/plita.ogg')
						return 'Я включил четвертую горелку.'
				end
		end
	};
	
	ruchka = obj {
		nam = 'Ручка',
		dsc = '^Под переключателями находится {духовка}.',
		act = function()
				if (_nul_gor_off == 0 and _per_gor_off == 0 and _vtr_gor_off == 1 and _tr_gor_off == 1 and _chtr_gor_off == 0) then
						inv():add('lomik')
						neznakomecdlg:pon(14)
						set_sound('snd/shkaf.ogg')
						kuhnya_104.obj:del('nul_gor')
						kuhnya_104.obj:del('per_gor')
						kuhnya_104.obj:del('vtr_gor')
						kuhnya_104.obj:del('tr_gor')
						kuhnya_104.obj:del('chtr_gor')
						kuhnya_104.obj:del('ruchka')
						return 'Дверца открылась. Там оказался небольшой ломик. Я взял его с собой.'
				elseif have('lomik') then
						return 'Я уже всё взял оттуда.'
				else
						return 'Она не открывается.'
				end
		end
	};
		
	sraskladushka = obj {
		nam = 'Сломаная кровать',
		dsc = 'В комнате стоит сломанная {раскладушка}.',
		act = 'Она в ужасном состоянии. Уснуть на ней точно не получится.'
	};

	raskladushka = obj {
		nam = 'Раскладушка',
		dsc = 'У стены стоит {раскладушка}.',
		act = 'На ней раньше кто-то спал.'
	};

	yashik = obj {
		nam = 'Ящик',
		dsc = 'На ней стоит большой {ящик}. Такой же, как в той комнате, в которой я проснулся. На нем капли крови.',
		act = 'Скорее всего, внутри очередная жертва.'
	};

	divan = obj {
		nam = 'Диван',
		dsc = 'Этот {диван} выглядит как тот, на котором я проснулся.',
		act = 'А может это тот же?...'
	};

	balon = obj {
		nam = 'Баллон',
		_otkrit = true,
		dsc = 'В углу комнаты стоит {газовый баллон}.',
		act = 'Опасная штука. Руками такой не закрыть.',
		used = function(s, x)
				if x == 'razvkey' and _otkrit == true then
						_otkrit = false
						set_sound('snd/gay.ogg')
						return 'Я закрыл газовый баллон разводным ключом.'
				elseif x == 'razvkey' and _otkrit == false then
						_otkrit = true
						set_sound('snd/gay.ogg')
						return 'Я открыл газовый баллон разводным ключом.'
				elseif _poln == 3 and have('trakey') and (x == ('fakel') or x == ('zazhigalka')) then
						_domdel_2 = true
						set_sound('snd/fire.ogg')
						ulica.way:del('koridor_103')
						kuhnya_103.way:del('koridor_103')
						krisha_103.way:del('koridor_103')
						return cat('Я поджог дом 103. Туда уже не вернуться. ', goto('ulica'))
				end
		end
	};
	
	stul_103 = obj {
		nam = 'Стул_103',
		dsc = 'Посреди комнаты валяется перевернутый {стул}.',
		act = 'На нем начерчено число. 103.'
	};

	stul_101 = obj {
		nam = 'Стул_101',
		dsc = 'Посреди кухни валяется перевернутый {стул}.',
		act = 'На нем начерчено число. 101.'
	};

	kamin_103 = obj {
		nam = 'Камин_103',
		dsc = 'Единственное, что привлекает внимание, это {камин}.',
		act = 'Дверца заржавела.'
	};

	bochka = obj {
		nam = 'Бочка',
		dsc = 'В углу стоит деревянная {бочка}.',
		act = 'Большая и тяжелая.'
	};

	karta = obj {
		nam = 'Карта',
		dsc = 'У стены стоит {карта} какой-то местности.',
		act = 'Ничего не понятно!'
	};
	
	prohod = obj {
		nam = 'Проход',
		dsc = 'Стена обвалилась, и в ней образовался {проход}, через который можно пройти дальше.',
		act = function()
				if _domdel_4 == true then
						return 'Нет смысла туда идти. Дом 102 сгорел.'
				else
						return 'Я нахожусь у входа в дом 102. Этот дом меньше, чем все остальные. Большую его часть занимает кухня.', goto ('koridor_102')
				end
		end
	};

	seyf = obj {
		nam = 'Сейф',
		dsc = 'На полу валяется тяжеленный {сейф}. В него что-то вставляется.',
		act = 'Он тяжелый. Просто так его не сдвинуть.',
		used = function(s, d)
				if d == 'kartochka' and not have('otvertka') then
						inv():add('otvertka')
						set_sound('snd/plita.ogg')
						return 'Внутри надпись: "1:00. Время пошло!".'
				elseif have('otvertka') then
						return 'Я уже взял оттуда отвертку.'
				else
						return 'Так его не открыть.'
				end
		end
	};

	stulia = obj {
		nam = 'Стулья',
		dsc = 'Посреди комнаты стоят {стулья}',
		act = 'В отличии от остальных домов, здесь много мебели.'
	};

	zhbochka = obj {
		nam = 'Железная бочка',
		_fireboch = true,
		dsc = function()
				if _fireboch == false then 
						return 'Посреди комнаты стоит {бочка}. В ней лежат угли.'
				else
						return 'Посреди комнаты стоит {бочка}, в которой полыхают языки пламени.'
				end
		end,
		act = function()
				if _fireboch == false and not have('ploskogubci') then
						inv():add('ploskogubci')
						return 'Среди углей лежат плоскогубцы.'
				elseif _fireboch == true then
						return 'Кому понадобилось разводить костер в доме? Тем более летом.'
				elseif have('ploskogubci') then
						return 'Я уже взял оттуда плоскогубцы.'
				end
		end,
		used = function(s, d)
				if d == 'butilka' and _poln == 2 and _fireboch == true then
						_poln = 1
						set_sound('snd/sliv.ogg')
						_fireboch = false
						return 'Я вылил всю воду из бутылки в бочку. Пламя угасло.'
				elseif _fireboch == false and (d == ('fakel') or d == ('zazhigalka')) then
						_fireboch = true
						set_sound('snd/zag.ogg')
						return 'Пламя вновь вспыхнуло.'
				elseif _poln == 3 and have('trakey') and d == ('lomik') and _fireboch == false then
						return 'Так дом не сжечь. Нужно развести в бочке огонь.'
				elseif _poln == 3 and have('trakey') and d == ('lomik') and _fireboch == true then
						ulica.way:del('koridor_100')
						_domdel_3 = true
						bunker_2.way:del('kuhnya_100')
						set_sound('snd/fire.ogg')
						return cat('Я перевернул эту бочку с помощью лома. Дом загорелся. ', goto('ulica'))
				else
						return 'Я не брошу эту вещь в костер. Она мне ещё пригодится.'
				end
		end
	};
	
	stol = obj {
		nam = 'Стол',
		dsc = 'и {стол}.',
		act = 'Наверное, на нем играли в карты.'
	};
	
	dira = obj {
		nam = 'Дыра',
		dsc = 'В заборе осталась {дыра}, которая ведет в дом 103.',
		act = function()
				if _domdel_2 == true then
						return 'Дом 103 полностью сгорел.'
				else
						return 'Я нахожусь в доме 103. Расположение комнат ничем не отличается от других домов.', goto ('kuhnya_103')
				end
		end
	};
	
	radio = obj {
		nam = 'Радио',
		dsc = 'Странный {радиоприемник}. Источник питания неизвестен.',
		act = 'Тут много кнопочек и лампочек. Непонятно как он работает.',
		used = function(s, d)
				if have('batareyki') or _batar == 1 then
						return 'Я уже разобрал радио.'
				elseif d == ('otvertka') then
						inv():add('batareyki')
						set_sound('snd/otvert.ogg')
						return 'Я раскрутил этот приемник отверткой.'
				end
		end
	};
	
	kamin_100 = obj {
		nam = 'Камин_100',
		dsc = 'Также в комнате стоит {камин}.',
		act = 'Дверца не открывается.'
	};
	
	ventilyator = obj {
		nam = 'Вентилятор',
		_batar = 0,
		dsc = 'На тумбочке закреплен маленький {вентилятор}.',
		act = 'Включаю. Не работает.',
		used = function(s, d)
				if d == ('batareyki') then
						_batar = 1
						set_sound('snd/chik.ogg')
						inv():del('batareyki')
						return 'Я вставил в вентилятор батарейки.'
				end
		end				
	};
	
	tiski = obj {
		nam = 'Тиски',
		_tigv = false,
		_tilog = false,
		dsc = 'На ящике крепко закреплены {тиски}.',
		act = 'На них капли крови. Неужели и здесь кого-то убили?',
		used = function(s, d)
				if d == ('gvozd') and _need == true then
						_tigv = true
						inv():del('gvozd')
						set_sound('snd/tis.ogg')
						return 'Я закрепил гвоздь в тисках.'
				elseif d == ('molotok') and _tigv == true then
						set_sound('snd/stuk.ogg')
						inv():add('kruchok')
						return 'Пара ударов и получился крючок.'
				elseif d == ('logka') and _needlog == true then
						_tilog = true
						inv():del('logka')
						set_sound('snd/tis.ogg')
						return 'Я закрепил ложку в тисках.'
				elseif d == ('pila') and _tilog == true then
						set_sound('snd/pil.ogg')
						inv():add('blesna')
						return 'Я отпилил ручку ложки, и получилась блесна.'
				else
						return 'Зачем вещь портить?'
				end
		end
	};
	
	dimohod_103 = obj {
		nam = 'Дымоход_103',
		dsc = 'Через чердак проходит {дымоход}.',
		act = 'Глядя на него, становится понятно, как туда попал труп.'
	};
	
	shtora = obj {
		nam = 'Шторка',
		dsc = 'На одном окне висит {шторка}.',
		act = 'Мне она не мешает.',
		used = function(s, d)
				if d == ('steklo') then
						inv():add('verevka')
						set_sound('snd/tkan.ogg')
						remove('shtora')
						return 'Я разрезал веревку и взял с собой.'
				end
		end
	};
	
	shkaf = obj {
		nam = 'Шкаф',
		dsc = 'В углу стоит {шкаф}.',
		act = function()
				if not have('razvkey') then
							return 'Нужно подобрать к нему ключ.'
				else return 'Я его уже открыл. Там ничего больше нет.'
				end
		end,
		used = function(x, s)
				if s == ('kluch') and not have('razvkey') then
						inv():add('razvkey')
						set_sound('snd/shkaf.ogg')
						return 'Я дважды повернул ключ в скважине и двери открылись. В нем оказался обычный газовый ключ.'
				elseif have('razvkey') then return 'Я уже всё взял оттуда.'
				end
		end
	};
	
	mashina = obj {
		nam = 'Кабина автомобиля',
		_vsyat = false,
		dsc = 'Может стоит обследовать эту {машину}?',
		act = function(s, d)
				if _vsyat == true and not have('kluch') then
						inv():add('kluch')
						return 'Я обыскал куртку, в которой лежал труп и достал оттуда ключ.'
				else					
						return 'В этой машине неподвижно лежит очередной труп. Трудно понять, от чего умер этот человек. Вся эта ситуация похожа на серию ритуальных убийств. Наверняка в этом есть какая-то скрытая связь.'
				end
		end,
		used = function(s, d)
				if d == ('kasseta') and _vsyat == false then
						_vsyat = true
						set_sound('snd/dik.ogg')
						return 'Я вставил кассету стороной "А" в магнитолу. Из колонок раздался страшный голос: "Ключ в кармане".'
				elseif d == ('kasseta') and _vsyat == true then
						return 'Я уже слушал эту кассету.'
				elseif (d == ('butilka') and _poln == 1) then
						set_sound('snd/sliv.ogg')
						_poln = 3
						return 'Я слил бензин из бака грузовика в бутылку.'
				elseif _poln == 3 and have('trakey') and (d == ('fakel') or d == ('zazhigalka')) then
						_domdel_4 = true
						ulica.way:del('koridor_102')
						koridor_102.way:del('zal_102')
						koridor_102.way:del('kuhnya_102')
						koridor_102.way:del('spalnya_102')
						koridor_102.way:del('zabor_102')
						koridor_101.way:del('zabor_102')
						zabor_102.way:del('koridor_102')
						set_sound('snd/fire.ogg')
						return cat('Я поджог машину. Она быстро вспыхнула, и пламя мигом переметнулось на дом 102. ', goto('ulica'))
				end
		end
	};
	
	kastryula = obj {
		nam = 'Кастрюля',
		dsc = 'Рядом стоит {кастрюля}.',
		act = function()
				if not have('zazhigalka') then
						inv():add('zazhigalka')
						return 'Зажигалка! Это очень ценная находка, так как получить огонь в моих условиях очень тяжело.'
				else
						return "Всё. Пусто."
				end
		end
	};
	
	dyashiki = obj {
		nam = 'Деревянные ящики',
		dsc = 'Здесь куча деревянных {ящиков}.',
		act = function()
				if have('doska') or have('fakel') then
						return 'Я уже взял оттуда одну доску.'
				else
						inv():add('doska')
						return "Возьму с собой одну дощечку. Пригодится для чего-нибудь."
				end
		end,
		used = function(s, f)
				if _poln == 3 and have('trakey') and (f == ('fakel') or f == ('zazhigalka'))then
						ulica.way:del('koridor_101')
						_domdel_5 = true
						zabor_102.way:del('koridor_101')
						bunker_1.way:del('kolodec_101')
						koridor_101.way:del('zabor_102')
						set_sound('snd/fire.ogg')
						return cat('Я поднес пламя к ящикам. Они мигом вспыхнули, а вскоре заполыхал и весь дом. ', goto('ulica'))
				end
		end
	};
	
	zabor = obj {
		nam = 'Забор',
		dsc = '{Забор} старый, доски гнилые, гвозди ржавые. ',
		act = function ()
				goto('zabor_104')
				return 'Я стою за домом, в котором очнулся'
		end,
		used = function(self, o)
				if _tigv == true and o == 'ploskogubci' then
						return 'Я уже брал гвоздь. Больше он мне не понадобится.'
				elseif have('gvozd') and o == 'ploskogubci' then
						return 'У меня уже есть гвоздь.'
				elseif o == 'ploskogubci' and not have('gvozd') then
						inv():add('gvozd')
						set_sound('snd/plos.ogg')
						return "Один из гвоздей находится в хорошем состоянии. Я выдернул его плоскогубцами и взял с собой."
				end
		end
	};
	
	proigrivatel = obj {
		nam = 'Проигрыватель',
		dsc = 'Этот {проигрыватель} выглядит любопытно.',
		act = 'Что бы с ним сделать?',
		used = function(s, d)
				if d == ('otvertka') and not have('kasseta') then
						inv():add('kasseta')
						set_sound('snd/otvert.ogg')
						return 'Я открутил болты. Открылся подкассетник. Там наверняка важная запись для меня.'
				elseif d == ('otvertka') and have('kasseta') then
						return 'Я уже разобрал этот приемник и забрал оттуда кассету.'
				end
		end		
	};
	
	neznakomec = obj {
		nam = 'Незнакомец',
		_ul = false,
		_need = false,
		_needlog = false,
		_domdel_1 = false,
		_domdel_2 = false,
		_domdel_3 = false,
		_domdel_4 = false,
		_domdel_5 = false,
		_domdel_6 = false
	};
	
	-- Д И Н А М И К А --
	
	iam = obj {
	nam = 'Я',
	_lflast = 0,
	lf = {
		[1] = 'Что со мной? Кто я? Как я сюда попал???',
		[2] = 'Это всё похоже на игру. Ужасную игру!',
		[3] = 'Я ничего не помню.',
		[4] = 'Надо собрать силы в кулак и идти дальше.',
		[5] = 'Я чувствую себя ужасно.',
		[6] = 'Очень болит голова. Наверное, меня били.',
		[7] = 'Возможно ли выбраться отсюда?',
		[8] = 'Каждый из этих домов может стать моей могилой, если я отсюда не выберусь.',
		[9] = 'Это очень мрачное место. Мне не по себе здесь.',
		[10] = 'Мне кажется, что за мной кто-то следит!!!',
		[11] = 'Кому всё это нужно???',
		[12] = 'Это ужасное место. Если я не уничтожу его, оно будет мучить меня в кошмарах всю жизнь.',
		[13] = 'Скорее бы найти выход.',
		[14] = 'Это ужасное место. Если я не уничтожу его, оно будет мучить меня в кошмарах всю жизнь.',
		[15] = 'Это ужасное место. Если я не уничтожу его, оно будет мучить меня в кошмарах всю жизнь.',
	},
	life = function(s)
		local r = rnd(13);
		if r > 2 then
			return;
		end 
		r = rnd(13);
		while (s._lflast == r) do
			r = rnd(13);
		end
		s._lflast = r;
		return s.lf[r];
	end
	};
	
	-- И Н В Е Н Т А Р Ь --
	
	doska = obj {
		nam = img('gfx/inv/doska.png')..'Доска',
		_dostk = false,
		dsc = 'Здесь много разбитых {ящиков}.',
		tak = 'Возьму с собой одну дощечку. Пригодится для чего-нибудь.',
		inv = function()
				if _dostk == true then
						return 'Доска обмотана тканью.'
				else
						return 'Доска от ящика.'
				end
		end,
		used = function(self, f)
				if _vlag == true and f == 'tkan' then
						_dostk = true
						inv():del('tkan')
						return "Я обернул палку тканью."
				elseif f == 'zazhigalka' and _dostk == true then
						inv():del('doska')
						set_sound('snd/zag.ogg')
						inv():add('fakel')
						return "Получился факел."
				end
		end
	};
	
	kruchok = obj {
		nam = img('gfx/inv/kruchok.png')..'Крючок',
		inv = 'Теперь у меня есть крючок.'
	};
	
	fakel = obj {
		nam = img('gfx/inv/fakel.png')..'Факел',
		inv = 'Теперь это мой факел.'
	};
	
	diktofon = obj {
		nam = img('gfx/inv/diktofon.png')..'Диктофон',
		dsc = 'В углу лежит кассетный {диктофон}.',
		tak = 'Я беру диктофон.',
		inv = 'Туда подойдет моя кассета.',
		used = function(self, f)
				if f == 'kasseta' then
						inv():del('kasseta')
						set_music('muz/endbad.ogg')
						set_sound('muz/dik.ogg')
						lifeoff('iam')
						return cat([[Я вставил в диктофон кассету стороной "B".^^
						"Сейчас ты узнаешь кто ты и зачем ты здесь.]], goto('zasada1'))
				else return 'Туда вставляется кассета.'
				end
		end
	};
	
	zazhigalka = obj {
		nam = img('gfx/inv/zazhigalka.png')..'Зажигалка',
		inv = 'Чья-то зажигалка.',
		used = function(self, f)
				if f == 'doska' and _dostk == true then
						inv():del('doska')
						set_sound('snd/zag.ogg')
						inv():add('fakel')
						return "Получился факел."
				end
		end
	};
	
	tkan = obj {
		nam = img('gfx/inv/tkan.png')..'Ткань',
		_vlag = false,
		dsc = 'Там наверняка лежит {труп}. Единственный способ в этом убедиться - просунуть руку в камин.',
		tak = function()
				set_sound('snd/tkan.ogg')
				return 'Всё именно так, как я и ожидал! На дне камина лежит человек. К сожалению, дно здесь глубоко. Моих усилий хватило только на то, чтобы оторвать край от одежды.'
		end,
		inv = function()
				if not _vlag == true then
						return 'Длинный кусок ткани.'
				else return 'Ткань, опущенная в горючее.'
				end
		end,
		used = function(self, f)
				if _vlag == true and f == 'doska' then
						_dostk = true
						inv():del('tkan')
						return "Я обернул палку тканью."
				end
		end
	};
	
	gvozd = obj {
		nam = img('gfx/inv/gvozd.png')..'Гвоздь',
		inv = 'Обычный гвоздик. Острый.',
		used = function(self, o)
				if o == 'molotok' then
						return "Куда бы его вбить?"
				end
		end
	};
	
	hleb = obj {
		nam = img('gfx/inv/hleb.png')..'Хлеб',
		dsc = 'Кто-то не доел кусок {хлеба}. ',
		tak = 'Думаю, лишним он не будет.',
		inv = 'Белый хлеб. Вдруг проголодаюсь.'
	};
	
	logka = obj {
		nam = img('gfx/inv/logka.png')..'Ложка',
		dsc = 'На столе лежит {ложка}. ',
		tak = 'Надеюсь, она мне пригодится.',
		inv = 'Обычная серебряная ложка.'
	};
	
	molotok = obj {
		nam = img('gfx/inv/molotok.png')..'Молоток',
		dsc = 'В печи лежит {молоток}.',
		tak = 'Возьму его. Пригодится.',
		inv = 'Теперь это мой молоток.'
	};
	
	butilka = obj {
		nam = img('gfx/inv/butilka.png')..'Бутылка',
		_poln = 2,
		dsc = 'На полу лежит {бутылка}. ',
		tak = 'Возьму её. Лишней не будет.',
		inv = function()
				if _poln == 2 then
						return 'Бутылка с какой-то жидкостью. Возможно это дождевая вода.'
				elseif _poln == 3 then
						return 'В бутылке бензин.'
				else
						return 'Пустая бутылка. Её можно чем-нибудь наполнить.'
				end
		end
	};
	
	kartochka = obj {
		nam = img('gfx/inv/kartochka.png')..'Карточка',
		inv = 'Карточка из дома 100.'
	};
	
	kasseta = obj {
		nam = img('gfx/inv/kasseta.png')..'Кассета',
		inv = 'Аудиокассета. На одной стороне надпись "Сторона А". На другой "История".',
		used = function(self, f)
				if f == 'diktofon' then
						inv():del('kasseta')
						set_music('muz/endbad.ogg')
						set_sound('muz/dik.ogg')
						lifeoff('iam')
						return cat([[Я вставил в диктофон кассету стороной "B".^^
						"Сейчас ты узнаешь кто ты и зачем ты здесь.]], goto('zasada1'))
				end
		end
	};
	
	lomik = obj {
		nam = img('gfx/inv/lomik.png')..'Ломик',
		inv = 'Небольшой лом. Необходимая вещь, если нужно что-нибудь подвинуть.'
	};
	
	trakey = obj {
		nam = img('gfx/inv/trakey.png')..'Ключи',
		inv = 'Ключи от трактора.'
	};
	
	kluch = obj {
		nam = img('gfx/inv/kluch.png')..'Ключ',
		inv = 'Старинный ключ. Осталось подобрать замок.'
	};
	
	perchatka = obj {
		nam = img('gfx/inv/perchatka.png')..'Прихватка',
		_meper = false,
		inv = function()
				if _meper == false then
						_meper = true
						return 'Я одел прихватку.'
				elseif _meper == true then
						_meper = false
						return 'Я снял прихватку.'
				end
		end
			
	};
	
	batareyki = obj {
		nam = img('gfx/inv/batareyki.png')..'Батарейки',
		inv = 'Две обычные пальчиковые батарейки.'
	};
	
	verevka = obj {
		nam = img('gfx/inv/verevka.png')..'Веревка',
		inv = 'Моток веревки средней длины.'
	};
	
	razvkey = obj {
		nam = img('gfx/inv/razvkey.png')..'Разв. ключ',
		inv = 'Разводной ключ. Очень полезная вещь.'
	};
	
	blesna = obj {
		nam = img('gfx/inv/blesna.png')..'Блесна',
		inv = 'Блесна для ловли рыбы.'
	};
	
	pila = obj {
		nam = img('gfx/inv/pila.png')..'Пила',
		inv = 'Пила по металлу.'
	};
	
	otvertka = obj {
		nam = img('gfx/inv/otvertka.png')..'Отвертка',
		inv = 'Отвертка. Очень важный инструмент.'
	};
	
	ploskogubci = obj {
		nam = img('gfx/inv/ploskogubci.png')..'Плоскогубцы',
		inv = 'Обычные плоскогубцы.'
	};
	
	steklo = obj {
		nam = img('gfx/inv/steklo.png')..'Стекло',
		dsc = 'На полу лежит кусок {стекла}. ',
		tak = 'Я беру осколок.',
		inv = 'Стекло очень острое.'
	};
	
	-- Д И А Л О Г И --
	
	neznakomecdlg = dlg {
		nam = "Незнакомец",
		pic = 'gfx/neznakomec.png',
		dsc = "Странный какой-то он. Что забыл этот человек на помойке? А может он поможет мне выбраться отсюда?",
		obj = {
			[1] = phr('Привет. Ты кто?', 'Я? -- испугано ответил чудак.', [[pon(2)]]),
			[2] = _phr('Чем ты занимаешься здесь?', 'Разве не видно? Рыбу ловлю. -- интересно, где он тут рыбу увидел? А может он просто ненормальный?', [[pon(3)]]),
			[3] = _phr("Ты можешь мне помочь?", 'Помочь? Не хочу. Не приставай. -- у него нервно затряслись руки. Но по выражению его лица я понял, что он хочет что-то мне сказать.', [[pon(4)]]),
			[4] = _phr('Может быть ты хочешь, чтобы я тебе помог?', 'Да! Конечно! Буду очень благодарен! -- этот парень очень скромный и добродушный.', [[pon(5)]]),
			[5] = _phr("Итак? Что мне нужно сделать для тебя?", "У меня была совсем новая удочка. Сегодня я закинул её и леска оборвалась. Осталась только палка. Если ты поможешь мне починить мою удочку, я постараюсь тебе помочь. -- ну вот... Теперь я должен идти на поводу у слабоумного бродяги.", [[pon(6)]]),
			[6] = _phr("И чем ты мне поможешь?", 'Давай сначала решим мою проблему. Найди мне крючок, веревку и подкормку. Кстати! Пока ты лазил по бункеру, я открыл двери во все дома. Теперь можешь заходить в любой дом прямо с улицы.', 
			[[ulica.way:add(koridor_101); ulica.way:add(koridor_102); ulica.way:add(koridor_103); ulica.way:add(koridor_104); ulica.way:add(koridor_105); koridor_105.way:add(ulica); koridor_104.way:add(ulica); koridor_103.way:add(ulica); koridor_102.way:add(ulica); koridor_101.way:add(ulica); _need = true]]),
			[7] = _phr('Вот те вещи, которые тебе нужны.', 'Ого! Спасибо тебе. А я сначала не доверял тебе...', [[pon(9); inv():del('hleb'); inv():del('verevka'); inv():del('kruchok')]]),
			[8] = _phr('Как улов?', 'Пока не клюёт.'),
			[9] = _phr('Теперь ты мне поможешь?', 'Хорошо. Спрашивай, что тебя интересует?', [[pon(10)]]),
			[10] = _phr('Где мы?', 'В деревне. Названия не знаю.', [[pon(11)]]),
			[11] = _phr('Кто я?', 'Впервые вижу тебя здесь.', [[pon(12)]]),
			[12] = _phr('Как отсюда выбраться?', 'Не знаю. Я об этом не думал.', [[pon(13)]]),
			[13] = _phr('Ты обещал мне помочь, а сам ничего полезного не сказал!', 'Ладно, не кипятись. У меня есть одна находка для тебя. Возьми вот эту карточку. Я нашел её возле дома 100.', [[inv():add('kartochka')]]),
			[14] = _phr('У тебя нет какого-нибудь ключа?', 'Есть, но для того, чтобы его получить, ты должен мне ещё кое-что принести.', [[pon(15)]]),
			[15] = _phr('Что мне нужно сделать?', 'Принеси мне блесну для ловли рыбы.', [[_needlog = true]]),
			[16] = _phr('Вот то, что ты просил принести.', 'Спасибо. Держи ключ. Им заводится трактор. Только он тебе не поможет. Я пробовал забраться в него, но дверь закрыта с внутренней стороны. Да и заправить его надо.', [[inv():del('blesna'); inv():add('trakey')]]),
			[17] = _phr('Я решил, что останусь здесь.', 'Я не помню что было у меня в прошлом. И ничего не знаю о своём будущем. Но здесь я в безопасности, и ничто мне не будет угрожать. Возможно, для меня это лучший вариант.', [[goto('goodend')]]),
		},
		way = {'pomoyka'},
		enter = function()
				set_sound('snd/kash.ogg')
				lifeoff('iam')
		end,
		exit = function()
				lifeon('iam')
		end
	}

	-- К О М Н А Т Ы --
	
	-- П Р О Ч И Е --
	
	doroga = room {
		pic = 'gfx/doroga.png',
		nam = '...',
		dsc = [[Я сел в трактор и уехал отсюда. Проведя в дороге не более получаса, мой трактор остановился, так как кончился бензин. К счастью, пожар в селе не остался незамеченным. Меня подобрали пожарные, приехавшие тушить село. Через час я был уже в городе.]],
		obj = {vway('Тюрьма', txtc('{Далее}.'), 'turma')},
		enter = function()
				lifeoff('iam')
		end
		};
	
	turma = room {
		pic = 'gfx/turma.png',
		nam = '...',
		dsc = [[Так как я был единственный человек, которого обнаружили возле пожара, меня обвинили в поджоге. Память ко мне так и не вернулась...^
				Положение усугубила кассета, которую нашли у меня в кармане. Мой адвокат сказал мне, что рассчитывать на что-то хорошее мне не стоит. Все улики против меня. И моё будущее теперь определено - ТЮРЬМА!]],
		enter = function()
				set_music('muz/badend.ogg')
				lifeoff('iam')
		end
	};
	
	goodend = room {
		pic = 'gfx/goodend.png',
		nam = '...',
		dsc = [[Я не помню, что было у меня в прошлом. И ничего не знаю о своём будущем. Но здесь я в безопасности, и ничто мне не будет угрожать. Возможно, для меня это лучший вариант.]],
		enter = function()
				set_music('muz/goodend.ogg')
				lifeoff('iam')
		end
	};
	
	zasada = room {
		pic = 'gfx/zasada.png',
		nam = '...',
		dsc = [[Я спустился вниз. Здесь нет ни мебели, ни вещей, ни выходов. Остаётся только выбраться назад.]],
		obj = {'diktofon'},
		enter = function()
				lifeoff('iam')
		end
	};
	
	zasada1 = room {
		pic = 'gfx/zasada.png',
		nam = '...',
		dsc = [[^Всё началось несколько лет назад. Тогда несколько людей ведущих специальностей города объединились в преступную группировку.
				Многие люди были убраны с пути этой банды, чтобы они могли занять более высокие места в своей карьере. О данных преступлениях никто не догадывался, так как преступления грамотно прикрывались.
				После нескольких лет криминальной деятельности, банда стала заниматься "черным риелторством" и прочими махинациями, связанными с кражей чужих квартир.
				Благодаря своему человеку в администрации города, определялись одинокие обладатели квартир и подвергались пыткам, пока те не перепишут свою квартиру в руки мафии.
				Затем их сажали на психотропные препараты и отдавали в ближайшие психиатрические лечебницы.
				Но последнее усложняло весь план, и людей стали просто убивать. Для этого их отвозили в заброшенную деревню, там их убивали и избавлялись от трупов."]],
		obj = {vway('Засада2', txtc('{Далее}.'), 'zasada2')},
		enter = function()
				lifeoff('iam')
		end
	};
	
	zasada2 = room {
		pic = 'gfx/zasada.png',
		nam = '...',
		dsc = [["Теперь обо мне.^^Однажды они нацелились на квартиру моего сводного брата. Все нужные документы уже были оформлены, и мафии оставалось только избавиться от него.
				Ему пришлось терпеть зверские пытки и удары по голове. Мучения начались в 1.00 и продолжалась пять минут, пока он перестал подавать признаки жизни.
				Бандиты не учли, что у него был сводный брат. И теперь все они наказаны.^^
				И последнее..."]],
		obj = {vway('Засада3', txtc('{Далее}.'), 'zasada3')},
		enter = function()
				lifeoff('iam')
		end
	};
	
	zasada3 = room {
		pic = 'gfx/zasadalok.png',
		nam = '...',
		dsc = [[Сверху донеслись шаги. Единственный выход отсюда закрылся, и в помещении стало темно. Это конец!^^
				"После того, как бандиты решили избавляться от своих жертв, им нужен был ещё один союзник.
				Этот человек должен был искать место для убийств.^
				Этот человек должен был избавляться от тел погибших.^
				Этот человек получал большие деньги за то, что казнил ни в чем невинных людей.
				Этим палачом был ты!"]],
		obj = {vway('Засада4', txtc('{Далее}.'), 'zasada4')},
		enter = function()
				lifeoff('iam')
		end
	};
	
	zasada4 = room {
		pic = 'gfx/zasadalok_end.png',
		nam = '...',
		dsc = [[Я вспомнил... Всё, что было на пленке, являлось чистой правдой. А запись продолжалась.^^
				"Ты единственный участник банды, который на данный момент остался жив.
				Все дома на этой улице имели номера от 100 до 105. Каждый дом осуществляет собой одну минуту пыток, которые испытывал мой брат.
				Ты лишал людей жизни, но сам ты умрешь другой смертью. Ты останешься заперт в этом помещении до тех пор, пока сердце не перестанет биться. Несмотря на то, что ты киллер, я дарю тебе жизнь!"]],
		enter = function()
				lifeoff('iam')
		end
	};
	
	pomoyka = room {
		pic = 'gfx/pomoyka.png',
		nam = 'Помойка',
		dsc = [[Страшная помойка. Мне здесь не нравится.]],
		way = {'tropinka'},
		obj = {vway('Бродяга', 'Здесь гуляет какой-то {бродяга}. Может быть, стоит подойти к нему?', 'neznakomecdlg')},
		enter = function()
				set_sound('snd/muhi.ogg', 2)
		end
	};
	
	tropinka = room {
		pic = 'gfx/tropinka.png',
		nam = function ()
				if have('kruchok') and have('hleb') and have('verevka') then 
						neznakomecdlg:pon(7)
						neznakomecdlg:poff(8)
						return 'Тропинка'
				elseif have('blesna') then 
						neznakomecdlg:pon(16)
						neznakomecdlg:poff(8)
						return 'Тропинка'
				elseif _need == true then
						neznakomecdlg:pon(8)
						return 'Тропинка'
				else return 'Тропинка'
				end
		end,
		dsc = [[Ровная тропинка. Несмотря на время, она не заросла.]],
		way = {'pomoyka', 'ulica'}
	};
	
	kladbishe = room {
		pic = 'gfx/kladbishe.png',
		nam = 'Кладбище',
		dsc = [[Старое кладбище. Одна из могил совсем сырая.]],
		way = {'zal_100'},
		enter = function()
				set_sound('snd/veter.ogg')
		end
	};
	
	ulica = room {
		pic = 'gfx/ulica.png',
		nam = 'Улица',
		dsc = [[Наконец-то я вышел из этого лабиринта и оказался на улице.]],
		way = {'tropinka', 'koridor_100'},
		obj = {'traktor'},
		enter = function()
				if _domdel_1 == true and _domdel_2 == true and _domdel_3 == true and _domdel_4 == true and _domdel_5 == true and _domdel_6 == true then
						_entrak = true
						return 'В последнем сожженном доме послышался человеческий крик. Странно, но в тракторе теперь никого нет.'
				end
		end
	};
	
	-- Д О М -- 1 0 0 --
	
	koridor_100 = room {
		pic = 'gfx/koridor_100.png',
		nam = 'Вход 100',
		dsc = [[Я нахожусь в коридоре дома 100. Похоже, что отсюда я смогу выйти на улицу.]],
		way = {'zal_100', 'kuhnya_100', 'spalnya_100', 'ulica'}
	};
	
	zal_100 = room {
		pic = function()
				if _fireboch == true then 
						return 'gfx/zal_100.png'
				else
						return 'gfx/zal_100_p.png'
				end
		end,
		nam = 'Зал 100',
		dsc = [[Стена здесь совсем рассыпалась.]],
		way = {'koridor_100', 'kuhnya_100', 'spalnya_100'},
		obj = {'zhbochka', vway('Кладбище', 'По ту сторону стены находится {кладбище}.', 'kladbishe'), 'kamin_100'}
	};
	
	kuhnya_100 = room {
		pic = 'gfx/kuhnya_100.png',
		nam = 'Кухня 100',
		dsc = [[Не похоже на кухню. Просто черный ход.]],
		way = {'bunker_2', 'koridor_100', 'zal_100', 'spalnya_100'},
		obj = {'okna', 'shtora'}
	};
	
	spalnya_100 = room {
		pic = 'gfx/spalnya_100.png',
		nam = 'Спальня 100',
		dsc = [[Большая спальня, но кровать тут всего лишь одна.]],
		way = {'koridor_100', 'kuhnya_100', 'zal_100'},
		obj = {'divan', 'okna', 'seyf'}
	};
	
	-- Б У Н К Е Р --
	
	bunker_1 = room {
		pic = 'gfx/bunker_1.png',
		nam = 'Бункер 1',
		dsc = [[Оказывается, что это вход в бункер. Скорее всего, он остался со времен Великой Отечественной войны. Отсюда можно выбраться к дому 101.]],
		obj = {'bochka', 'raskladushka'},
		way = {'bunker_2', 'bunker_3', 'kolodec_101'},
		enter = function()
				set_sound('snd/voda.ogg')
		end
	};
	
	bunker_2 = room {
		pic = 'gfx/bunker_2.png',
		nam = 'Бункер 2',
		dsc = [[Я снова в бункере. Здесь есть лестница. Похоже это выход отсюда.]],
		obj = {'bochka'},
		way = {'bunker_1', 'bunker_3', 'kuhnya_100'},
		enter = function()
				set_sound('snd/voda.ogg')
		end
	};
	
	bunker_3 = room {
		pic = 'gfx/bunker_3.png',
		nam = 'Бункер 3',
		dsc = [[Я нахожусь в бункере. Это главное помещение в нем.]],
		obj = {'raskladushka', 'yashik', 'gazeta_100', vway('Полка', 'На стене закреплена {полочка}.', 'polka')},
		way = {'bunker_1', 'bunker_2'},
		enter = function()
				set_sound('snd/voda.ogg')
		end
	};
	
	polka = room {
		pic = 'gfx/radio.png',
		nam = 'Полочка',
		dsc = [[Странный радиоприёмник.]],
		obj = {'radio',
				vobj(0, '0', 'На панели горят цифры: {(0)},'),
				vobj(1, '1', '{(1)},'),
				vobj(2, '2', '{(2)},'),
				vobj(3, '3', '{(3)},'),
				vobj(4, '4', '{(4)},'),
				vobj(5, '5', '{(5)},'),
				vobj(6, '6', '{(6)},'),
				vobj(7, '7', '{(7)},'),
				vobj(8, '8', '{(8)},'),
				vobj(9, '9', '{(9)}.')},
		act = function()
				set_sound('snd/chik.ogg')
				return 'Я нажал на кнопку.'
		end,
		way = {'bunker_3'}
	};
	
	-- Д О М -- 1 0 1 --
	
	koridor_101 = room {
		pic = 'gfx/koridor_101.png',
		nam = 'Вход 101',
		dsc = [[Я нахожусь у входа в дом 101. Это самый красивый дом из всех, которые я здесь видел. Дома 101 и 102 стоят в одном дворе.]],
		way = {'zal_101', 'kuhnya_101', 'spalnya_101', 'zabor_102'},
		obj = {vway('Колодец', 'В этом же дворе стоит {колодец}.', 'kolodec_101'), vway('Тропинка', 'Вдоль забора проходит ровная {тропинка}, ведущая за дом.', 'zadomom_101')}
	};
	
	zadomom_101 = room {
		pic = 'gfx/zadomom_101.png',
		nam = 'За домом 101',
		dsc = [[За домом_101.]],
		obj = {vway('Лесенка', 'У стены стоит {лестница}. Она поможет мне забраться на чердак.', 'krisha_101'), vway('Деревья', 'Здесь за домом растут пара {деревьев}.', 'derevo_101')},
		way = {'koridor_101'}
	};
	
	derevo_101 = room {
		pic = 'gfx/derevo_101.png',
		nam = 'Дерево',
		dsc = [[Ужас! На одном из деревьев подвешен труп.]],
		way = {'zadomom_101'},
		enter = function()
				set_sound('snd/veter.ogg')
		end
	};
	
	zal_101 = room {
		pic = 'gfx/zal_101.png',
		nam = 'Зал 101',
		dsc = [[Очень широкий зал. Здесь явно обитала большая семья.]],
		obj = {'divan', 'okna', 'raskladushka', 'stulia', 'stol', 'gazeta_101'},
		way = {'koridor_101', 'kuhnya_101', 'spalnya_101'}
	};
	
	kuhnya_101 = room {
		pic = 'gfx/kuhnya_101.png',
		nam = 'Кухня 101',
		dsc = [[Большая кухня.]],
		way = {'koridor_101', 'zal_101', 'spalnya_101'},
		obj = {'okna', 'stul_101'}
	};
	
	spalnya_101 = room {
		pic = 'gfx/spalnya_101.png',
		nam = 'Спальня 101',
		dsc = [[Спальня не такая большая, как должна быть. Возможно, все жители спали в зале.]],
		obj = {'sraskladushka', 'okna', vway('Далее', 'На полу стоит {проигрыватель}.', 'proigrivatelroom')},
		way = {'koridor_101', 'kuhnya_101', 'zal_101'}
	};
	
	proigrivatelroom = room {
		pic = 'gfx/proigrivatel.png',
		nam = 'Деревянное радио',
		dsc = [[Старый проигрыватель. С подкассетником.]],
		obj = {'proigrivatel'},
		way = {'spalnya_101'}
	}; 
	
	kolodec_101 = room {
		pic = 'gfx/kolodec_101.png',
		nam = 'Колодец 101',
		dsc = [[За забором прекрасный пейзаж. Но мне некогда им любоваться. Я должен выбраться отсюда.]],
		obj = {'kolodec'},
		way = {'koridor_101'}
	};
	
	krisha_101 = room {
		pic = function(s)
				if have('doska') or have('fakel') then
						return "gfx/krisha_101_d.png";
				else return "gfx/krisha_101.png";
				end
		end,
		nam = 'Чердак 101',
		dsc = [[Я стою на чердаке дома 101.]],
		obj = {'dyashiki'},
		way = {'zadomom_101'}
	};
	
	-- Д О М -- 1 0 2 --
	
	koridor_102 = room {
		pic = 'gfx/koridor_102.png',
		nam = 'Вход 102',
		dsc = [[Я нахожусь у входа в дом 102. Этот дом меньше, чем все остальные. Большую его часть занимает кухня.]],
		way = {'zal_102', 'kuhnya_102', 'spalnya_102', 'zabor_102'},
		obj = {'dira'}
	};
	
	spalnya_102 = room {
		pic = 'gfx/spalnya_102.png',
		nam = 'Спальня 102',
		S = 0,
		Prev = 0,
		dsc = [[Очень маленькая спальня на одного человека.]],
		obj = {'divan', 'okna', 'ventilyator',
				vobj(1, '1', 'На нем переключатели:^{1 скорость},'),
				vobj(2, '2', '^{2 скорость},'),
				vobj(3, '3', '^{3 скорость},'),
				vobj(0, '0', '^{Выкл}.')},
				act = function(self, arg)
				local n = tonumber(arg)
				if have('perchatka') then
						set_sound('snd/vent.ogg')
						return 'Я переключил скорость.'
				elseif(self.S == 0 and _batar == 1 and n == 1) then
						self.S = 1
						set_sound('snd/vent.ogg')
						return 'Я переключил скорость.';
				elseif(self.S == 1 and n == 0) then
						self.S = 2
						set_sound('snd/vent.ogg')
						return 'Я переключил скорость.';
				elseif(self.S == 2 and n == 2) then
						self.S = 2
						set_sound('snd/opn.ogg')
						inv():add('perchatka')
						return 'Я переключил скорость. Послышался щелчок. Дверь тумбочки открылась. В ней лежат старые вещи, из которых я взял с собой кухонную прихватку.';
				else
						self.S = 0
						set_sound('snd/vent.ogg')
						return 'Я переключил скорость.';
				end 
		end,
		way = {'koridor_102', 'kuhnya_102', 'zal_102'}
	};
	
	zal_102 = room {
		pic = 'gfx/zal_102.png',
		nam = 'Зал 102',
		dsc = [[Не очень-то похоже на зал. Просто маленькая комната.]],
		obj = {'okna', 'karta'},
		way = {'koridor_102', 'kuhnya_102', 'spalnya_102'}
	};
	
	kuhnya_102 = room {
		pic = 'gfx/kuhnya_102.png',
		nam = 'Кухня 102',
		dsc = [[Кухня здесь действительно большая.]],
		way = {'koridor_102', 'zal_102', 'spalnya_102'},
		obj = {'okna'}
	};
	
	zabor_102 = room {
		pic = 'gfx/zabor_102.png',
		nam = 'Забор 102',
		dsc = [[В забор врезался грузовик. И мне кажется, что без жертв здесь не обошлось. Машина стоит очень близко к дому. Если бы она вспыхнула, от дома ничего не осталось.]],
		way = {'koridor_102', 'koridor_101'},
		obj = {'gazeta_102', 'mashina'}
	};
	
	-- Д О М -- 1 0 3 --
	
	krisha_103 = room {
		pic = function(s)
				if have('butilka') then
						return 'gfx/krisha_103_b.png';
				else return 'gfx/krisha_103.png';
				end
		end,
		nam = 'Чердак',
		dsc = [[Я стою на чердаке. Крыша здесь полностью обвалилась. Остались лишь гнилые доски. Скорее всего, дома 103 и 104 смежные, по-этому я могу спуститься в любой из этих коридоров.]],
		obj = {'butilka', 'dimohod_103', 'shifer'},
		way = {'koridor_103', 'koridor_104'}
	};
	
	spalnya_103 = room {
		pic = 'gfx/spalnya_103.png',
		nam = 'Спальня 103',
		dsc = [[Здесь много мебели. Если убрать беспорядок, будет довольно уютная комната.]],
		obj = {'tiski', 'divan', 'gazeta_103', 'stul_103', 'okna', 'shkaf'},
		way = {'koridor_103'}
	};
	
	koridor_103 = room {
		pic = 'gfx/koridor_103.png',
		nam = 'Коридор 103',
		dsc = [[Я нахожусь в доме 103. Он объединен с домом 104.]],
		way = {'zal_103', 'kuhnya_103', 'spalnya_103', 'krisha_103'},
	};
	
	kuhnya_103 = room {
		pic = 'gfx/kuhnya_103.png',
		nam = 'Кухня 103',
		dsc = [[Я на кухне дома 103.]],
		way = {'koridor_103'},
		obj = {'okna', 'balon', 'pech_103', 'prohod'}
	};
	
	zal_103 = room {
		pic = 'gfx/zal_103.png',
		nam = 'Зал 103',
		dsc = [[Здесь нет никакой мебели. Абсолютно пусто.]],
		obj = {'okna', 'kamin_103'},
		way = {'koridor_103'}
	};
	
	-- Д О М -- 1 0 4 --
	
	zabor_104 = room {
		pic = 'gfx/zabor_104.png',
		nam = 'Забор 104',
		dsc = [[Я стою перед соседним домом. Можно зайти в него, так как забор здесь далеко не новый.]],
		way = {'zadomom', 'koridor_104'}
	};
	
	koridor_104 = room {
		pic = 'gfx/koridor_104.png',
		nam = 'Коридор 104',
		dsc = [[Я нахожусь в доме 104. Расположение комнат ничем не отличается от предыдущего дома.]],
		way = {'zal_104', 'kuhnya_104', 'spalnya_104', 'zabor_104', 'krisha_103'}
	};
	
	spalnya_104 = room {
		pic = 'gfx/spalnya_104.png',
		nam = 'Спальня 104',
		dsc = [[Ничем не удивлен. Комната в ужасном состоянии.]],
		way = {'koridor_104'},
		obj = {vway('Камин', 'В стену встроен {камин}.', 'kamin_104'), 'okna'}
	};
	
	zal_104 = room {
		pic = 'gfx/zal_104.png',
		nam = 'Зал 104',
		dsc = [[Всё вокруг перевернуто вверх дном. Такое ощущение, что здесь была драка.]],
		way = {'koridor_104'},
		obj = {'gazeta_104', 'okna'}
	};
	
	kuhnya_104 = room {
		pic = 'gfx/kuhnya_104.png',
		nam = 'Кухня 104',
		dsc = [[Кухня очень маленькая. Здесь готовили еду.]],
		way = {'koridor_104'},
		obj = {'plita_104', 'kastryula', vway('Окно', 'Здесь есть небольшое {окно}.', 'okno_104')}
	};
	
	okno_104 = room {
		pic = "gfx/okno_104.png";
		nam = 'Окно',
		dsc = [[Мдаааа... Даже если я выберусь через забор, идти мне некуда. Я нахожусь один в этом огромном безлюдном пространстве.]],
		way = {'kuhnya_104'},
		enter = function()
				set_sound('snd/veter.ogg')
		end
	};
	
	kamin_104 = room {
		pic = "gfx/kamin_104.png";
		nam = 'Камин 104',
		dsc = [[Здесь повсюду следы крови.]],
		obj = {'tkan'},
		way = {'spalnya_104'}
	};
	
	-- Д О М --
	
	pech = room {
		pic = function(s)
				if have('molotok') then
						return "gfx/pech.png";
				else return "gfx/pech_m.png";
				end
		end,
		nam = 'Печь',
		dsc = [[Я думаю, этой печью давно не пользовались.]],
		obj = {'molotok'},
		way = {'kuhnya_105'}
	};
	
	kuhnya_105 = room {
		pic = 'gfx/kuhnya_105.png',
		nam = 'Кухня 105',
		dsc = [[Помещение не очень похоже на кухню. Ни столов, ни стульев, ни еды... Камера пыток какая-то...]],
		way = {'koridor_105'},
		obj = {'okna', vway('Печь', 'Напротив меня стоит грязная {печь}.', 'pech')}
	};
	
	zal_105 = room {
		pic = 'gfx/zal_105.png',
		nam = 'Зал 105',
		dsc = [[Обычный зал. Никакой мебели и всего два окна.]],
		obj = {'okna', 'yashik_X'},
		way = {'koridor_105'}
	};
	
	zadomom = room {
		pic = 'gfx/zadomom.png',
		nam = 'Забор 105',
		dsc = [[Я стою за домом, в котором очнулся.]],
		obj = {'zabor'},
		way = {'spalnya_105'}
	};
	
	koridor_105 = room {
		pic = 'gfx/koridor_105.png',
		nam = 'Коридор 105',
		dsc = function()
				if _need == true then 
						return [[Я стою в центре этого ужасного дома. Здесь четыре двери. Помимо комнаты, в которой я проснулся, есть ещё кухня и зал. Четвертая дверь является выходом из дома.]]
				else
						return [[Я стою в центре этого ужасного дома. Здесь четыре двери. Помимо комнаты, в которой я проснулся, есть ещё кухня и зал. Четвертая дверь является выходом из дома. Сейчас она забита досками. Кто-то не хочет выпускать меня отсюда.]]
				end
		end,
		way = {'spalnya_105', 'kuhnya_105', 'zal_105'}
	};
	
	spalnya_105 = room {
		pic = 'gfx/spalnya_105.png',
		nam = 'Спальня 105',
		dsc = [[Я стою в углу комнаты, в которой проснулся.]],
		way = {'koridor_105'},
		enter = function()
				lifeon('iam')
				set_music('muz/igra.ogg')
		end,
		obj = {vway('Кровать', 'В углу стоит {кровать}.', 'krovat'), vway('Окно', 'Справа от меня {окно}, через которое в комнату попадает свет.', 'okno')}
	};
	
	okno = room {
		pic = function(s)
				if rama._locked == false then
						return "gfx/oknox_o.png";
				else return "gfx/oknox.png";
				end
		end,
		nam = 'Окно',
		dsc = [[Я стою у окна.]],
		obj = {'rama', 'steklo'},
		way = {'spalnya_105'}
	};
	
	krovat = room {
		pic = function(s)
				if have('logka') and (have('hleb') or have('kartochka')) then
						return "gfx/krovat_l_h.png";
				elseif have('logka') then
						return "gfx/krovat_l.png";
				elseif have('hleb') or have('kartochka') then
						return "gfx/krovat_h.png";
				else return "gfx/krovat.png";
				end
		end,
		nam = 'Кровать',
		dsc = [[Я стою у кровати, на которой проснулся.]],
		obj = {'logka', 'hleb', 'bed', 'chashka'},
		way = {'spalnya_105'}
	};